configure: Fix installation of library to work with alternate --prefix
[notmuch] / INSTALL
diff --git a/INSTALL b/INSTALL
index 64b8e362cc335f277ed2400e63bd37b898be9e3e..bc7bc6778276490279dced12e32c0b39421695e5 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -9,10 +9,14 @@ sequence of:
        make
        sudo make install
 
-You can even skip the configure step if all of the dependencies of
-Notmuch are satisfied. If they are not, the configure script will
-notice that and provide instructions on where to obtain the necessary
-dependencies.
+In fact, if you don't plan to pass any arguments to the configure
+script, then you can skip that step and just start with "make", (which
+will call configure for you). See this command:
+
+       ./configure --help
+
+for detailed documentation of the things you can control at the
+configure stage.
 
 notmuch.el installation
 -----------------------
@@ -20,7 +24,9 @@ Installing the notmuch.el emacs lisp function systemwide:
 
        sudo make install-emacs
 
-Each user needs to add (require 'notmuch) in his ~/.emacs to activate it.
+Each user needs to add (require 'notmuch) in his ~/.emacs to make it
+available and then start emacs running notmuch with "emacs -f notmuch"
+or start notmuch from within emacs with "M-x notmuch".
 
 Dependencies
 ------------
@@ -62,16 +68,19 @@ which are each described below:
 
        Talloc is available from http://talloc.samba.org/
 
-On a modern, package-based operating system such as Debian, you can
-install all of the dependencies with the following simple command
-line:
+On a modern, package-based operating system you can install all of the
+dependencies with a simple simple command line. For example:
+
+  For Debian and similar:
 
         sudo apt-get install libxapian-dev libgmime-2.4-dev libtalloc-dev
 
-On other systems, a similar command can be used, but the details of
-the package names may be different, (such as "devel" in place of
-"dev").
+  For Fedora and similar:
+
+       sudo yum install xapian-core-devel gmime-devel libtalloc-devel
 
+On other systems, a similar command can be used, but the details of
+the package names may be different.